# Tutorial & Lab Repository
<<<<<<< HEAD
Programming Foundations 2 -  | Faculty of Computer Science, University of Indonesia, Even Semester 2017/2018
***


## Table of Content

This repository will contain Tutorial & Lab materials from Programming Foundations 2.

1. Lab
    1. [Lab 1](https://gitlab.com/DDP2-CSUI/ddp-lab-ki/blob/master/lab_instructions/lab_1/README.md) - Introduction to Java & Git
    2. [Lab 2](https://gitlab.com/DDP2-CSUI/ddp-lab-ki/blob/master/lab_instructions/lab_2/README.md) - Basic concepts of Java Programming

***

Tools that will be used in this courses are :
=======

CSGE601021 Programming Foundations 2 @ Faculty of Computer Science Universitas
Indonesia, Term 2 2017/2018

* * *

This repository contains Tutorial & Lab materials for Programming Foundations 2.

## Table of Contents

1. Lab
<<<<<<< HEAD
    1. [Lab 1](lab_1/README.md) - Introduction to Java & Git
    2. [Lab 2](lab_2/README.md) - Basic Concepts of Java Programming
    3. [Lab 3](lab_3/README.md) - Recursion
    4. [Lab 4](lab_4/README.md) - Object Oriented Programming
<<<<<<< HEAD
=======
	5. [Lab 5](lab_5/README.md) - Array and ArrayList
>>>>>>> 1def4dac8807625b7072d4ab01b2b8ccd38d6bf5
=======
    1. [Lab 1](lab_instructions/lab_1/README.md) - Introduction to Java & Git
    2. [Lab 2](lab_instructions/lab_2/README.md) - Basic Concepts of Java Programming
    3. [Lab 3](lab_instructions/lab_3/README.md) - Recursion
    4. [Lab 4](lab_instructions/lab_4/README.md) - Object Oriented Programming
    5. [Lab 5](lab_instructions/lab_5/README.md) - Array and ArrayList
    5. [Lab 6](lab_instructions/lab_6/README.md) - OO Case Study
>>>>>>> 3bd7dd266e275d0750510ec930154c42e87c250e

* * *

Tools that will be used in this courses are:
>>>>>>> 6fa974f3cb2322c89cbf0868159e97f1aad1206e

- Java Development Kit (JDK) 8
- Git
- Notepad++ (or similar text editor)
- Integrated Development Environment (IDE)
- Gradle
- GitLab Account

<<<<<<< HEAD
Make sure that you install and have the needed tools above, see this manual for installation and configuration if you haven't installed it [here](https://drive.google.com/file/d/1c1AA-9ju1S82-NYyV7EMyPNwScPpMQsr/view?usp=sharing)

Contact Information :

- Line Dek Depe : [@nhz2170m](https://line.me/R/ti/p/%40nhz2170m)
=======
Make sure that you install and have the needed tools above. See this [manual][Manual]
for installation and configuration guide.

## Contact Information

Lecturer:

- [Daya Adianto](https://gitlab.com/addianto)
    - Office Hours: Monday/Friday, 4 PM - 5 PM at 3303

TA:

- [Mochamad Aulia Akbar Pratomo](https://gitlab.com/Mochaul)
- [Rizki Maulana Rahmadi](https://gitlab.com/kikirmd)
- LINE@ Dek Depe (in Bahasa): [@nhz2170m][LINE]

[Manual]: https://drive.google.com/file/d/1c1AA-9ju1S82-NYyV7EMyPNwScPpMQsr/view?usp=sharing
[LINE]: https://line.me/R/ti/p/%40nhz2170m)
>>>>>>> 6fa974f3cb2322c89cbf0868159e97f1aad1206e
